Bug 1685734 - MDS `cache drop` command does not timeout as expected
Summary: MDS `cache drop` command does not timeout as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.1
Hardware: All
OS: All
low
low
Target Milestone: rc
: 3.3
Assignee: Patrick Donnelly
QA Contact: subhash
URL:
Whiteboard:
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2019-03-05 22:49 UTC by Patrick Donnelly
Modified: 2019-08-21 15:11 UTC (History)
5 users (show)

Fixed In Version: RHEL: ceph-12.2.12-22.el7cp Ubuntu: ceph_12.2.12-18redhat1
Doc Type: Bug Fix
Doc Text:
.The `drop cache` command completes as expected Previously, when executing the administrative `drop cache` command, the Metadata Server (MDS) did not detect that the clients could not return more capabilities, and the command would not complete. With this update, the MDS now detects the clients cannot return any more capabilities, and the command completes.
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 38445 0 None None None 2019-03-05 22:49:50 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:11:02 UTC

Description Patrick Donnelly 2019-03-05 22:49:51 UTC
Description of problem:

See: http://tracker.ceph.com/issues/38348

This is tested in upstream QA.

Comment 6 Giridhar Ramaraju 2019-08-05 13:06:47 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 7 Giridhar Ramaraju 2019-08-05 13:09:24 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 9 errata-xmlrpc 2019-08-21 15:10:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.